/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
@import "common_colors";


.disabled_link {
  color: grey;
}

#sidebar {
  flex: 0 0 15rem;
  transition: all 0.3s;
  background-color: white;
}

// Tenant selection menu when sidebar is collapsed START
.right-arrow-icon-tenant-selection {
  margin-left: -0.5rem;
}

.tenant-selector-div {
  z-index: 10;
}

#tenant-selection-menu.navbar-collapsed {
  display: none;
  left: 50px;
  position: absolute;
  transform: translate3d(0px, -50px, 0px);
  transition: all 0.1s;
  background-color: white;
  padding-top: 1em;
  padding-bottom: 1em;
  border: none;
  box-shadow: none;
}

.tenant-selector-div:hover #tenant-selection-menu.navbar-collapsed, #tenant-selection-menu.navbar-collapsed:hover {
  display: inline;
  transition: all 0.1s;
  width: 15rem;
  padding: 1em;
  box-shadow: 0 0.5rem 1rem rgb(0 0 0 / 15%);
  border: 1px solid rgb(0 0 0 / 15%);
}

// Tenant selection menu when sidebar is collapsed END

#sidebar.collapsed {
  flex: 0 0 50px;
}

.title-border {
  border-left: 3px solid white;
}

#sidebar .list-group-item {
  border-color: white;
  border-left: 3px solid white;

  &:hover {
    background-color: map-get($ls-color-map, "ls-primary-100");
  }
}

#sidebar .list-group-item.active {
  border-left: 3px solid $primary;
}
